Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.dtd.models
Interface ContentModelValidator

All Known Implementing Classes:
  DFAContentModel, MixedContentModel, SimpleContentModel

public interface ContentModelValidator

Version:
  $Id: ContentModelValidator.java,v 1.4 2002/01/29 01:15:10 lehors Exp $

Method Summary
`int` | `validate(org.apache.xerces.xni.QName[] children, int offset, int length)` validate

Method Detail

### validate

    public int validate(org.apache.xerces.xni.QName[] children,
                        int offset,
                        int length)

  validate
  Parameters:
    `children` -
    `offset` -
    `length` -
  Returns:
    The value -1 if fully valid, else the 0 based index of the child that first failed. If the value returned is equal to the number of children, then the specified children are valid but additional content is required to reach a valid ending state.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.